Loading...
Searching...
No Matches
cpe_check Struct Reference
CPE » CPE Dictionary

Structure representing single CPE check. More...

`#include <cpe_dict.h>`

## Public Member Functions

OSCAP_API void | cpe_check_free (struct cpe_check *check)
OSCAP_API struct cpe_check * | cpe_check_new (void)
Getters
Return value is pointer to structure's member. Do not free unless you null the pointer in the structure. Use remove function otherwise.
OSCAP_API const char * | cpe_check_get_system (const struct cpe_check *item)
| cpe_check functions to get system
OSCAP_API const char * | cpe_check_get_href (const struct cpe_check *item)
| cpe_check functions to get href
OSCAP_API const char * | cpe_check_get_identifier (const struct cpe_check *item)
| cpe_check functions to get identifier
Setters
For lists use add functions. Parameters of set functions are duplicated in memory and need to be freed by caller.
OSCAP_API bool | cpe_check_set_system (struct cpe_check *check, const char *new_system)
OSCAP_API bool | cpe_check_set_href (struct cpe_check *check, const char *new_href)
OSCAP_API bool | cpe_check_set_identifier (struct cpe_check *check, const char *new_identifier)

## Data Fields

char * | system
char * | href
char * | identifier

## Detailed Description

Structure representing single CPE check.

The documentation for this struct was generated from the following files:

- cpedict_priv.c
- cpe_dict.h